from django.urls import path, include
from django.contrib.auth import views as auth_views
from accounts import views

urlpatterns = [
    path('', include([
        path('', views.UserListView.as_view(), name='user_list'),
        path('register/', views.RegisterView.as_view(), name='user_register'),
        path('login/', views.DepotLoginView.as_view(), name='login'),
        path('relogin/', auth_views.logout_then_login, name='relogin'),
        path('change-password/', views.UserChangePasswordView.as_view(), name='change_password'),
        path('<int:pk>/update/', views.UserUpdateView.as_view(), name='user_update'),
        path('<int:pk>/active/', views.UserActiveView.as_view(), name='user_active'),
    ])),
]